Skip to main content
GET
/
person
Listar pessoas
curl --request GET \
  --url https://api.juridiq.com.br/person/ \
  --header 'x-juridiq-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "personOrigin": "<string>",
      "isPrivate": true,
      "ownerId": "<string>",
      "legalRepresentant": "<string>",
      "corretor": "<string>",
      "code": "<string>",
      "govPassword": "<string>"
    }
  ],
  "totalResults": 123,
  "totalPages": 123
}

Authorizations

x-juridiq-api-key
string
header
required

Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.

Query Parameters

page
string

Página. Começa em 1

limit
string

Itens por página

name
string

Filtra por nome

type
string

Filtra por origem

phone
string

Filtra por telefone

email
string

Filtra por e-mail

document
string

Filtra por documento

code
string

Filtra por código

orderBy
enum<string>

Ordenação. asc ou desc

Available options:
asc,
desc
orderByField
string

Campo de ordenação. createdAt, updatedAt, name, email

fullQuery
string

true para resposta completa com processos e tarefas

isPrivate
string

true ou false

Filtra por representante legal

ownerId
string

Filtra por ID do responsável

corretor
string

Filtra por corretor

tag

ID da tag ou lista de IDs

Response

Default Response

data
object[]
required

Lista de pessoas

totalResults
number
required

Total de registros

totalPages
number
required

Total de páginas